FreeMat

- Main Page
- Related Pages

vtkTransmitRectilinearGridPiece

Section: Visualization Toolkit Parallel Classes

# Usage

This filter updates the appropriate piece by requesting the piece from process 0. Process 0 always updates all of the data. It is important that Execute get called on all processes, otherwise the filter will deadlock.

To create an instance of class vtkTransmitRectilinearGridPiece, simply invoke its constructor as follows

      obj = vtkTransmitRectilinearGridPiece

# Methods

The class vtkTransmitRectilinearGridPiece has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTransmitRectilinearGridPiece class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTransmitRectilinearGridPiece = obj.NewInstance ()`
- `vtkTransmitRectilinearGridPiece = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )` - By defualt this filter uses the global controller, but this method can be used to set another instead.
- `vtkMultiProcessController = obj.GetController ()` - By defualt this filter uses the global controller, but this method can be used to set another instead.
- `obj.SetCreateGhostCells (int )` - Turn on/off creating ghost cells (on by default).
- `int = obj.GetCreateGhostCells ()` - Turn on/off creating ghost cells (on by default).
- `obj.CreateGhostCellsOn ()` - Turn on/off creating ghost cells (on by default).
- `obj.CreateGhostCellsOff ()` - Turn on/off creating ghost cells (on by default).